Package org.jboss.resteasy.plugins.server.servlet

## Class HttpServletDispatcher

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`, `HttpRequestFactory`, `HttpResponseFactory`
  Direct Known Subclasses:
    `HtmlServletDispatcher`, `HttpServlet30Dispatcher`

      public class HttpServletDispatcher
      extends javax.servlet.http.HttpServlet
      implements HttpRequestFactory, HttpResponseFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ServletContainerDispatcher` | `servletContainerDispatcher` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpServletDispatcher()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected HttpRequest` | `createHttpRequest​(String httpMethod, javax.servlet.http.HttpServletRequest request, ResteasyHttpHeaders headers, ResteasyUriInfo uriInfo, HttpResponse theResponse, javax.servlet.http.HttpServletResponse response)` |
    `HttpRequest` | `createResteasyHttpRequest​(String httpMethod, javax.servlet.http.HttpServletRequest request, ResteasyHttpHeaders headers, ResteasyUriInfo uriInfo, HttpResponse theResponse, javax.servlet.http.HttpServletResponse response)` |
    `HttpResponse` | `createResteasyHttpResponse​(javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)` |
    `protected HttpResponse` | `createServletResponse​(javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)` |
    `void` | `destroy()` |
    `Dispatcher` | `getDispatcher()` |
    `void` | `init​(javax.servlet.ServletConfig servletConfig)` |
    `void` | `service​(String httpMethod, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `protected void` | `service​(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse)` |

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContainerDispatcher

          protected ServletContainerDispatcher servletContainerDispatcher

  - ### Constructor Detail

    - #### HttpServletDispatcher

          public HttpServletDispatcher()

  - ### Method Detail

    - #### getDispatcher

          public Dispatcher getDispatcher()

    - #### init

          public void init​(javax.servlet.ServletConfig servletConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `javax.servlet.GenericServlet`

    - #### service

          protected void service​(javax.servlet.http.HttpServletRequest httpServletRequest,
                                 javax.servlet.http.HttpServletResponse httpServletResponse)
                          throws javax.servlet.ServletException,
                                 IOException

      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### service

          public void service​(String httpMethod,
                              javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws IOException

      Throws:
        `IOException`

    - #### createResteasyHttpRequest

          public HttpRequest createResteasyHttpRequest​(String httpMethod,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       ResteasyHttpHeaders headers,
                                                       ResteasyUriInfo uriInfo,
                                                       HttpResponse theResponse,
                                                       javax.servlet.http.HttpServletResponse response)

      Specified by:
        `createResteasyHttpRequest` in interface `HttpRequestFactory`

    - #### createResteasyHttpResponse

          public HttpResponse createResteasyHttpResponse​(javax.servlet.http.HttpServletResponse response,
                                                         javax.servlet.http.HttpServletRequest request)

      Specified by:
        `createResteasyHttpResponse` in interface `HttpResponseFactory`

    - #### createHttpRequest

          protected HttpRequest createHttpRequest​(String httpMethod,
                                                  javax.servlet.http.HttpServletRequest request,
                                                  ResteasyHttpHeaders headers,
                                                  ResteasyUriInfo uriInfo,
                                                  HttpResponse theResponse,
                                                  javax.servlet.http.HttpServletResponse response)

    - #### createServletResponse

          protected HttpResponse createServletResponse​(javax.servlet.http.HttpServletResponse response,
                                                       javax.servlet.http.HttpServletRequest request)